//
//	checkBackSub: Test the relative correction algorithms for a Time Serie
// 	                  with a selection region containing more than one CCD
//  AI, Wed Feb  6 14:56:05 GMT 2008
//
//

#include <cassert>
#include <iostream>
#include <iomanip>
/* AI gcc4 porting
 * error: ‘strcmp’ was not declared in this scope
 * error: ‘exit’ was not declared in this scope
 */
#include <cstring>
#include <cstdlib>

#include "LightCurve.h"



using namespace std;

int main(int argc, char* argv[])
{

	if ((argc != 4 ) || !strcmp(argv[1],"-h") || !strcmp(argv[1],"-H"))
	    {
	      std::cout << "Usage: " << argv[0] << " srcLC.fits bkgLC.fits eventFile.fits" << std::endl;
	      exit(0);
	    }

	LightCurve *srcLC = new LightCurve((string) argv[1], (string) argv[3]);
	srcLC->doRelativeCorr(Spect::SRC);
	srcLC->calSpec();
	srcLC->getSpec()->calArfgen(Spect::SRC);
	srcLC->getSpec()->readSpec();
	srcLC->getLC()->calRateAndErr();

	LightCurve *bkgLC = new LightCurve((string) argv[2], (string) argv[3]);
	bkgLC->doRelativeCorr(Spect::BKG);
	bkgLC->calSpec();
	bkgLC->getSpec()->calArfgen(Spect::BKG);
	bkgLC->getSpec()->readSpec();
	bkgLC->getLC()->calRateAndErr();

	//LightCurve *bkgSubLC = new LightCurve();
	//srcLC->getLC()->printCounts();
	srcLC = srcLC->operator-(bkgLC);

	srcLC->createFile("test.lc",bkgLC);

	delete srcLC;
	delete bkgLC;
	//delete bkgSubLC;

	 return 0;
}

